Gentoo Archives: gentoo-java

From: Wiktor Wandachowicz <siryes@×××××.com>
To: gentoo-java@l.g.o
Subject: [gentoo-java] Re: problems compiling junit
Date: Wed, 12 Apr 2006 11:36:44
Message-Id: loom.20060412T133024-5@post.gmane.org
In Reply to: [gentoo-java] problems compiling junit by Henrique Ferreiro
Henrique Ferreiro <henrique.ferreiro@...> writes:

> > I am using the migration overlay. After installing sun-jdk-1.4 and > sun-jdk-1.5 and setting 1.4 as system vm I have the following problem: > > localhost ~ # emerge -1 junit > Calculating dependencies ... done! > >>> Emerging (1 of 1) dev-java/junit-3.8.1-r1 to /
...
> >>> Compiling source > in /var/tmp/portage/junit-3.8.1-r1/work/junit3.8.1 ... > /usr/bin/ant: line 161: arch: command not found > Buildfile: build.xml > > init: > > versiontag: > [copy] Copying 1 file > to /var/tmp/portage/junit-3.8.1-r1/work/junit3.8.1/junit/runner > [move] Moving 1 file > to /var/tmp/portage/junit-3.8.1-r1/work/junit3.8.1/junit/runner > > build: > > BUILD FAILED > java.lang.UnsupportedClassVersionError: junit/framework/Test > (Unsupported major.minor version 49.0) >
Well, that's exactly the issue that the new Java handling should solve (compile time JVM version switching). In your previous post you've said that you have problems setting the generation-1 system VM. I suspect that there's something wrong with your setup, even though you might have followed the instructions closely... Maybe you could post the output of the following commands? # java-config-1 -L # java-config-2 -L # which java # java -version # echo ${PATH} # emerge -pv =sun-jdk-1.4* # emerge -pv =sun-jdk-1.5* # emerge --info That would clear the situation a bit. Wiktor -- gentoo-java@g.o mailing list

Replies

Subject Author
Re: [gentoo-java] Re: problems compiling junit Henrique Ferreiro <henrique.ferreiro@×××××.com>